Question on Gui-Textfeld size

A forum for research and development of the user interface of FreeCAD

Moderator: agryson

Post Reply
User avatar
cappu
Posts: 18
Joined: Wed Aug 22, 2018 2:08 pm
Location: Germany, near Moeckmuehl

Question on Gui-Textfeld size

Post by cappu » Fri Dec 27, 2019 5:05 pm

Hello, I changed from Xubuntu to Lint and have now a problem on some textfeld visibility.
The first line on some windows is only showed on have size.
Please find attached screenshot.

The issue seems not be related to FreeCad-Version (appears on 0.18.4 and latest 0,19 version and also on mate and cinnamon desktop.

OS: Linux Mint 19.3 (X-Cinnamon/cinnamon)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Python version: 3.6.9
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)

Does somebody knows how to adjust?
Thanks for info
Attachments
Bildschirmfoto vom 2019-12-27 17-43-17.png
Bildschirmfoto vom 2019-12-27 17-43-17.png (17.4 KiB) Viewed 285 times
chrisb
Posts: 22455
Joined: Tue Mar 17, 2015 9:14 am

Re: Question on Gui-Textfeld size

Post by chrisb » Fri Dec 27, 2019 5:37 pm

openBrain
Posts: 3406
Joined: Fri Nov 09, 2018 5:38 pm

Re: Question on Gui-Textfeld size

Post by openBrain » Fri Dec 27, 2019 5:55 pm

I can't give you a solution, but I know this issue has already been discussed on the forum. You may search this old thread and hopefully find something there. ;)

EDIT : Xpost with chrisb, and that makes this post totally useless. :P
User avatar
cappu
Posts: 18
Joined: Wed Aug 22, 2018 2:08 pm
Location: Germany, near Moeckmuehl

Re: Question on Gui-Textfeld size

Post by cappu » Fri Dec 27, 2019 6:13 pm

I searched in old thread.
Found: https://forum.freecadweb.org/viewtopic.php?f=34&t=36672
But this is also no solution. Right? I will go on searching.......
I would appreciate if someone could help :-)
User avatar
cappu
Posts: 18
Joined: Wed Aug 22, 2018 2:08 pm
Location: Germany, near Moeckmuehl

Re: Question on Gui-Textfeld size

Post by cappu » Fri Dec 27, 2019 8:28 pm

I searched in old posts but did not find anything.
BUT:
in FreeCAD_0.19-19093-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage it works fine!

It does not work in AppImage with version FreeCAD_0.18-16146-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage

FreeCAD_0.19-19093-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage:
OS: Linux Mint 19.3 (X-Cinnamon/cinnamon)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19093 (Git) AppImage
Build type: Release
Branch: master
Hash: 9e4710d679d44613a1ae4264b86ef9f6d12f4e5a
Python version: 3.7.6
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)


Is it a bug solved in latest AppImage but not in installed version?
openBrain
Posts: 3406
Joined: Fri Nov 09, 2018 5:38 pm

Re: Question on Gui-Textfeld size

Post by openBrain » Fri Dec 27, 2019 9:11 pm

Qt 5.12 has solved a lot of GFX issues compared to previous 5.x versions, so it may explain. ;)
User avatar
cappu
Posts: 18
Joined: Wed Aug 22, 2018 2:08 pm
Location: Germany, near Moeckmuehl

Re: Question on Gui-Textfeld size

Post by cappu » Sat Dec 28, 2019 5:52 am

Why does the appimage uses another QT-Version as the installed one?
I like at the installed version, that it is automatically updated by Linux every day (if someone commits something).
Is it possible to use latest version of QT for installed-FreeCad? (on Mint it seems not so easy to update QT on system)
wmayer
Site Admin
Posts: 15487
Joined: Thu Feb 19, 2009 10:32 am

Re: Question on Gui-Textfeld size

Post by wmayer » Sat Dec 28, 2019 9:24 am

wmayer
Site Admin
Posts: 15487
Joined: Thu Feb 19, 2009 10:32 am

Re: Question on Gui-Textfeld size

Post by wmayer » Sat Dec 28, 2019 9:28 am

cappu wrote:
Sat Dec 28, 2019 5:52 am
Why does the appimage uses another QT-Version as the installed one?
I like at the installed version, that it is automatically updated by Linux every day (if someone commits something).
Is it possible to use latest version of QT for installed-FreeCad? (on Mint it seems not so easy to update QT on system)
That's the whole idea of an AppImage not to use the system libraries but its own copies so that it will run on every system independent on what's installed there. And yes, that's the downside of an AppImage that its libraries can't be updated automatically.
Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest